## imcode.server.parser
Class TagParser.MetaIdHeaderHttpServletRequest

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              imcode.server.parser.TagParser.MetaIdHeaderHttpServletRequest

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

Enclosing class:
  TagParser

    public class TagParser.MetaIdHeaderHttpServletRequest

extends javax.servlet.http.HttpServletRequestWrapper

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`TagParser.MetaIdHeaderHttpServletRequest(javax.servlet.http.HttpServletRequest request, int metaId)`

Method Summary
`java.lang.String` `getHeader(java.lang.String headerName)`

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper

`getAuthType, getContextPath, getCookies, getDateHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from class javax.servlet.ServletRequestWrapper

`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletRequest

`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

Constructor Detail

### TagParser.MetaIdHeaderHttpServletRequest

    public TagParser.MetaIdHeaderHttpServletRequest(javax.servlet.http.HttpServletRequest request,
                                                    int metaId)

Method Detail

### getHeader

    public java.lang.String getHeader(java.lang.String headerName)

  Specified by:
    `getHeader` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getHeader` in class `javax.servlet.http.HttpServletRequestWrapper`